package de.hdm_stuttgart.mi.sda2.jpa.billing;

import java.util.Date;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.EntityTransaction;
import javax.persistence.Persistence;
import javax.xml.bind.JAXBException;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import de.hdm_stuttgart.mi.sda2.jpa.billing.domain.CreditCard;

/**
 * A simple http://logging.apache.org/log4j/2.x demo, see file log4j2.xml for
 * configuration options.
 * 
 */
public class Driver {
   private static Logger log = LogManager.getLogger(Driver.class);

   /**
    * @param args
    *           Unused
    * @throws JAXBException
    */
   public static void main(String[] args) throws JAXBException {

      final EntityManagerFactory factory = Persistence
            .createEntityManagerFactory("persistenceUnit");
      final EntityManager manager = factory.createEntityManager();

      final EntityTransaction tx = manager.getTransaction();

      final CreditCard myCard = new CreditCard("Joe Blix", "Visa", new Date()); 

      tx.begin();
      {
         manager.persist(myCard);
      }
      tx.commit();
      log.info("done!");

   }

}
